NetworkManager-openvpn-1.8.10-1.1.x86_64.rpm


Advertisement

Description

NetworkManager-openvpn - NetworkManager VPN support for OpenVPN

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename NetworkManager-openvpn-1.8.10-1.1.x86_64.rpm
Package name NetworkManager-openvpn
Package version 1.8.10
Package release 1.1
Package architecture x86_64
Package type rpm
Category Productivity/Networking/System
Homepage https://www.gnome.org/projects/NetworkManager
License GPL-2.0-or-later
Maintainer -
Download size 68.66 KB
Installed size 175.95 KB
NetworkManager-openvpn provides VPN support to NetworkManager for
OpenVPN.

Alternatives

Package Version Architecture Repository
NetworkManager-openvpn-1.8.10-160.4.x86_64.rpm 1.8.10 x86_64 GNOME Next
NetworkManager-openvpn-1.8.10-160.4.i586.rpm 1.8.10 i586 GNOME Next
NetworkManager-openvpn-1.8.10-118.4.x86_64.rpm 1.8.10 x86_64 GNOME Factory
NetworkManager-openvpn-1.8.10-118.4.i586.rpm 1.8.10 i586 GNOME Factory
NetworkManager-openvpn-1.8.10-1.1.i586.rpm 1.8.10 i586 openSUSE Oss
NetworkManager-openvpn - - -

Requires

Name Value
NetworkManager >= 1.2.0
libc.so.6(GLIBC_2.14)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libnm.so.0()(64bit) -
libnm.so.0(libnm_1_0_0)(64bit) -
libnm.so.0(libnm_1_2_0)(64bit) -
openvpn -

Provides

Name Value
NetworkManager-openvpn = 1.8.10-1.1
NetworkManager-openvpn(x86-64) = 1.8.10-1.1
config(NetworkManager-openvpn) = 1.8.10-1.1
libnm-vpn-plugin-openvpn.so()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package NetworkManager-openvpn-1.8.10-1.1.x86_64.rpm
Source Package NetworkManager-openvpn-1.8.10-1.1.src.rpm

Install Howto

Install NetworkManager-openvpn rpm package:

# zypper install NetworkManager-openvpn

Files

Path
/etc/dbus-1/system.d/nm-openvpn-service.conf
/usr/lib/nm-openvpn-service
/usr/lib/nm-openvpn-service-openvpn-helper
/usr/lib/NetworkManager/
/usr/lib/NetworkManager/VPN/nm-openvpn-service.name
/usr/lib64/NetworkManager/libnm-vpn-plugin-openvpn.so
/usr/share/doc/packages/NetworkManager-openvpn/README
/usr/share/licenses/NetworkManager-openvpn/COPYING

Changelog

2019-02-08 - bjorn.lie@gmail.com
- Update to version 1.8.10:
+ Fix changing the proxy port in the editor.
+ Drop the file extension check when importing a file.
+ Support loading the editor shared object from the same
directory of plugin for development purposes.
+ Updated translations.
2018-10-17 - bjorn.lie@gmail.com
- Update to version 1.8.8:
+ Fix a memory corruption bug in the advanced dialog.
+ Updated translations.
2018-10-03 - bjorn.lie@gmail.com
- Update to version 1.8.6:
+ Don't validate auth parameter and pass it directly to openvpn.
+ Fix endless loop checking for encrypted certificate.
+ Sanitize newlines in export ovpn file.
+ Improve project description in doap file.
+ Various minor bugfixes and improvements.
+ Updated translations.
- Use autosetup and make_build macros.
2018-05-28 - bjorn.lie@gmail.com
- Update to version 1.8.4:
+ Add support for the crl-verify option (bgo#782309)
+ Fix termination of openvpn process upon disconnect
(rh#1576600).
+ Updated translations.
2018-04-14 - bjorn.lie@gmail.com
- Following changes in NetworkManager: pass without-libnm-glib to
configure, no longer build deprecated libnm-glib support.
- Following the above changes: Drop no longer needed
pkgconfig(NetworkManager), pkgconfig(libnm-glib),
pkgconfig(libnm-glib-vpn), pkgconfig(libnm-gtk) and
pkgconfig(libnm-util) BuildRequires.
- Package missing COPYING file.
- Package nm-openvpn-service.conf as config, silence rpmlint.
- Drop unnneeded NetworkManager-gnome Requires from gnome
sub-package, it is not longer of use for us.
2018-03-20 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2018-03-12 - dimstar@opensuse.org
- Update to version 1.8.2:
+ Handle more then 255 routes (bgo#788137).
+ Fix GUI for editing connection with static key (bgo#788226).
+ Fix parsing gateway in helper script (bgo#788514).
+ Fix parsing 2FA challenge for "PASSWORD:Verification Failed"
(bgo#751842).
+ Fix parsing remote hosts from configuration (bgo#792252).
+ Fix assertion failure while quitting service (bgo#792252).
+ Add support for connect-timeout (bgo#792252).
+ Automatically lower connect-timeout if there are multiple
remotes to try at least 3 remotes (bgo#792252).
+ Add support for extra-certs (bgo#793746).
+ Various code cleanups.
+ Updated translations.
- Drop NetworkManager-openvpn-config.patch: fixed upstream.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-09-29 - dimstar@opensuse.org
- Add NetworkManager-openvpn-config.patch: fix unusable config
imports (certificate config was wrongly written out, causing the
VPN profile not be be functional).
2017-09-22 - zaitor@opensuse.org
- Update to version 1.8.0:
+ Use gresources for ui files.
+ Use NMACertChooser for PKCS#11 support.
+ Support --ifconfig option not only for static key connections
(bgo#774727).
+ Fix import for key-direction to make it independent of the
order (bgo#778154).
+ Extend support for address family specifier for remote protocol
(bgo#731620).
+ Updated translations.
- Drop
add-support-for-IP-address-family-specifier-for-remote.patch:
Fixed upstream.
- Drop obsolete post(un) handling of icon_theme_cache_post(un), no
longer needed, there is no icon files anymore.
- Run spec-cleaner, modernize spec.

See Also

Package Description
NetworkManager-openvpn-gnome-1.8.10-1.1.i586.rpm NetworkManager VPN support for OpenVPN
NetworkManager-openvpn-gnome-1.8.10-1.1.x86_64.rpm NetworkManager VPN support for OpenVPN
NetworkManager-openvpn-lang-1.8.10-1.1.noarch.rpm Translations for package NetworkManager-openvpn
NetworkManager-pptp-1.2.8-1.2.i586.rpm NetworkManager VPN support for PPTP
NetworkManager-pptp-1.2.8-1.2.x86_64.rpm NetworkManager VPN support for PPTP
NetworkManager-pptp-gnome-1.2.8-1.2.i586.rpm NetworkManager VPN support for PPTP
NetworkManager-pptp-gnome-1.2.8-1.2.x86_64.rpm NetworkManager VPN support for PPTP
NetworkManager-pptp-lang-1.2.8-1.2.noarch.rpm Translations for package NetworkManager-pptp
NetworkManager-strongswan-1.4.4-2.3.i586.rpm NetworkManager VPN support for strongSwan
NetworkManager-strongswan-1.4.4-2.3.x86_64.rpm NetworkManager VPN support for strongSwan
NetworkManager-strongswan-gnome-1.4.4-2.3.i586.rpm NetworkManager VPN support for strongSwan
NetworkManager-strongswan-gnome-1.4.4-2.3.x86_64.rpm NetworkManager VPN support for strongSwan
NetworkManager-strongswan-lang-1.4.4-2.3.noarch.rpm Translations for package NetworkManager-strongswan
NetworkManager-vpnc-1.2.6-1.2.i586.rpm NetworkManager VPN Support for vpnc
NetworkManager-vpnc-1.2.6-1.2.x86_64.rpm NetworkManager VPN Support for vpnc
Advertisement
Advertisement